<?php
namespace app;

//定义系统常量
define("DB", __DIR__ . '/../db');
define("DS", DIRECTORY_SEPARATOR);
define("VENDOR", __DIR__ . '/../vendor');

// 环境常量
define('IS_CLI', PHP_SAPI == 'cli' ? true : false);
define('IS_WIN', strpos(PHP_OS, 'WIN') !== false);

require "function.php";

// 加载使用到的类文件
require (APP_PATH . "App.php");
require (APP_PATH . "View.php");
require (APP_PATH . "Index.php");
require (APP_PATH . "MySqlite.php");
require (APP_PATH . "RRException.php");
require (APP_PATH . "parsedown/Parsedown.php");
require (APP_PATH . "parsedown/ParsedownExtension.php");
require (VENDOR . "/autoload.php");
// 执行应用
App::run();